Attribute VB_Name = "Module"
Option Explicit

Declare Function FindWindow Lib "user32" Alias "FindWindowA" (ByVal lpClassName As String, ByVal lpWindowName As String) As Long
Declare Function FindWindowEx Lib "user32" Alias "FindWindowExA" (ByVal hWnd1 As Long, ByVal hWnd2 As Long, ByVal lpsz1 As String, ByVal lpsz2 As String) As Long
Declare Function SendMessage Lib "user32" Alias "SendMessageA" (ByVal hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, ByVal lParam As Long) As Long
Declare Function GetSysColor Lib "user32" (ByVal nIndex%) As Long
Declare Function InvalidateRect Lib "user32" (ByVal hwnd As Long, lpRect As Any, ByVal bErase As Long) As Long
Declare Function UpdateWindow Lib "user32" (ByVal hwnd As Long) As Long

Const COLOR_BACKGROUND = 1
Const LVM_FIRST = &H1000 ' ListView messages
Const LVM_GETTEXTBKCOLOR = (LVM_FIRST + 37)
Const LVM_SETTEXTBKCOLOR = (LVM_FIRST + 38)
Const CLR_NONE = &HFFFF
Sub Main()
Dim bRet As Boolean
Dim Progman As Long
Dim SHELLDLLDefView As Long
Dim SysListView32 As Long

bRet = False
Progman = FindWindow("Progman", "Program Manager")

If Progman <> 0 Then
    SHELLDLLDefView = FindWindowEx(Progman, 0&, "SHELLDLL_DefView", vbNullString)
    If SHELLDLLDefView <> 0 Then
        SysListView32 = FindWindowEx(SHELLDLLDefView, 0&, "SysListView32", vbNullString)
        If SysListView32 <> 0 Then
            If (ListView_GetTextBkColor(SysListView32) <> CLR_NONE) Then
                bRet = ListView_SetTextBkColor(SysListView32, CLR_NONE)
            Else
                Call ListView_SetTextBkColor(SysListView32, GetSysColor(COLOR_BACKGROUND))
            End If
            Call InvalidateRect(SysListView32, ByVal 0&, True)
            Call UpdateWindow(SysListView32)
        End If
    End If
End If
End Sub
Private Function ListView_SetTextBkColor(hwnd As Long, clrTextBk As Long) As Boolean
Dim lRet As Long

lRet = SendMessage((hwnd), LVM_SETTEXTBKCOLOR, 0&, clrTextBk)
If lRet = 0 Then
 ListView_SetTextBkColor = False
Else
 ListView_SetTextBkColor = True
End If
End Function

Private Function ListView_GetTextBkColor(hwnd As Long) As Long
ListView_GetTextBkColor = SendMessage((hwnd), LVM_GETTEXTBKCOLOR, 0, 0)
End Function

